<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@80F76=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@807D0=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fuel">
    <script state="run">
      <action>maincpu.pb@80F14=60</action>
    </script>
  </cheat>

  <cheat desc="Always High Speed">
    <script state="run">
      <action>maincpu.pb@80C30=30</action>
    </script>
  </cheat>

  <cheat desc="Get High Speed Boost Now!"> <comment>Assign this to an activation key for the best effect</comment>
    <script state="on">
      <action>maincpu.pb@80C30=30</action>
    </script>
  </cheat>

  <cheat desc="Always Turbo Speed">
    <script state="run">
      <action>maincpu.pb@80C30=86</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Set on displayed 'Press Down Gas Pedal' message after you've inserted a credit</comment>
    <parameter min="1" max="6" step="1"/>
    <script state="on">
      <action>maincpu.pb@80F32=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@80F32=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>[PL1 Button 3] Next Code</comment>
    <script state="run">
      <action>maincpu.pb@80F95=02</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="208" step="1"/>
    <script state="change">
      <action>maincpu.pb@80EE8=param</action>
      <action>maincpu.pw@80EA2=0EE9</action>
      <action>maincpu.pw@80EA6=0EE8</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
